﻿<Graph ClassName="RQSetupMaintExtPB" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.CR;
using PX.Objects.EP;
using PX.Objects.CS;
using PX.Objects;
using PX.Objects.RQ;
using PBBidding;

namespace PX.Objects.RQ
{
    public class RQSetupMaintExtPB : PXGraphExtension<RQSetupMaint>
    {
        public PXSelect<PBBiddingApproval> PBApprovals;

        protected virtual void RQSetup_UsrRequirePBApproval_FieldVerifying(PXCache sender, PXFieldVerifyingEventArgs e)
        {
            var row = (RQSetup)e.Row;
            if (row == null) return;

            PXCache cache = Base.Caches[typeof(PBBiddingApproval)];
            foreach (PBBiddingApproval setup in PXSelect<PBBiddingApproval>.Select(Base))
            {
                setup.IsActive = (bool?)e.NewValue;
                sender.Update(setup);
            }
        }
    }
}]]></CDATA>
</Graph>